LibreOffice LibreOffice 25.2 SDK API Reference

Variables
com::sun::star::sdbc::Deferrability Constant Group Referencepublished

indicates the Deferrability of key constraints. More...

## Variables
const long | INITIALLY_DEFERRED = 5
| A possible value for the column `DEFERRABILITY` in the `XResultSet` objects returned by the methods `getImportedKeys`, `getExportedKeys`, and `getCrossReference`. More...
const long | INITIALLY_IMMEDIATE = 6
| A possible value for the column `DEFERRABILITY` in the `XResultSet` objects returned by the methods `getImportedKeys`, `getExportedKeys`, and `getCrossReference`. More...
const long | NONE = 7
| A possible value for the column `DEFERRABILITY` in the `XResultSet` objects returned by the methods `getImportedKeys`, `getExportedKeys`, and `getCrossReference`. More...

## Detailed Description

indicates the Deferrability of key constraints.

## Variable Documentation

## ◆ INITIALLY_DEFERRED

const long INITIALLY_DEFERRED = 5

A possible value for the column `DEFERRABILITY` in the `XResultSet` objects returned by the methods `getImportedKeys`, `getExportedKeys`, and `getCrossReference`.

Indicates deferrability. See SQL-92 for a definition.

## ◆ INITIALLY_IMMEDIATE

const long INITIALLY_IMMEDIATE = 6

A possible value for the column `DEFERRABILITY` in the `XResultSet` objects returned by the methods `getImportedKeys`, `getExportedKeys`, and `getCrossReference`.

Indicates deferrability. See SQL-92 for a definition.

## ◆ NONE

const long NONE = 7

A possible value for the column `DEFERRABILITY` in the `XResultSet` objects returned by the methods `getImportedKeys`, `getExportedKeys`, and `getCrossReference`.

Indicates deferrability. See SQL-92 for a definition.